Eclipse PDE Release 3.7

## org.eclipse.pde.core
Interface IBaseModel

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IBuildModel, IExtensionsModel, IFragmentModel, IModel, IPluginModel, IPluginModelBase, ISharedExtensionsModel, ISharedPluginModel

    public interface IBaseModel

extends IAdaptable

A base generic model. Classes that implement this interface are expected to be able to:

- Dispose (clear all the data and reset)
- Tell if they are editable
- Tell if they contain valid data

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`void` `dispose()` Releases all the data in this model and clears the state.
`boolean` `isDisposed()` Tests if this model has been disposed.
`boolean` `isEditable()` Tests if this model can be modified.
`boolean` `isValid()` Tests if this model valid.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### dispose

    void dispose()

  Releases all the data in this model and clears the state. A disposed model can be returned to the normal state by reloading.

### isDisposed

    boolean isDisposed()

  Tests if this model has been disposed. Disposed model cannot be used until it is loaded/reloaded.

  Returns:
    `true` if the model has been disposed

### isEditable

    boolean isEditable()

  Tests if this model can be modified. Modification of a model that is not editable will result in CoreException being thrown.

  Returns:
    `true` if this model can be modified

### isValid

    boolean isValid()

  Tests if this model valid. When models are loaded from the file, they may pass the syntax error checking and load all the model objects. However, some of the objects may contain invalid values that make the model unusable.

  Returns:
    `true` only if the model can be safely used in all computations.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.